<?php

/**
 * main.php
 * 
 * This file contains the the template of the main page
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * @author Heiko Dostert <dosterth@uni-trier.de>
 * @package portaLE
 * @copyright Universitt Trier, Koordinationsstelle E-Learning, 2010
 * @version 1.0.0
 * @version 1.0.1 - 19.10.2010 - Jrg Rpke <roepke@uni-trier.de>
 */
	if($classrooms === false)
		echo MessageBox::error(_('Beim Zugriff auf den Server ist ein Fehler aufgetreten. Bitte wenden Sie sich an den Administrator.'));
	elseif(empty($classrooms))
		echo MessageBox::info(_("Zur Zeit sind keine virtuellen Rume fr diese Veranstaltung eingerichtet"));
	else{
		foreach($classrooms AS $classroom){
			$isOpen = ((($classroom->date-TIME_OFFSET) < time()) && (($classroom->date+$classroom->length+TIME_OFFSET)) > time() && !$classroom->waitingroomClosed);
			echo "<table class=\"steel1\" style=\"width: 100%;\" cellpadding=\"2\" cellspacing=\"0\">
					<thead>
						<tr class=\"steelgraulight\" align='left'><th>";
			echo "			<font color='black'>".$classroom->title."</font>";
			echo "		</th></tr>
			 		</thead>
					 <tbody>
						<tr>
							<td><b>";
			echo _("Termin");
			echo ": </b>";
			$date = date("d.m.Y, G:i",$classroom->date);
			$date .= _(" Uhr");
			echo $date;
			echo "</td>
					</tr>";
			echo "<tr class=\"steelgraulight\">
							<td><b>";
			echo _("Dauer");
			echo ": </b>".($classroom->length/60)._(" Minuten")."</td>
						</tr>";
			echo "<tr>
						<td><b>";
			echo _("Art der Sitzung");
			echo ": </b>".$classroom->roomtype."</td>
						</tr>";
			echo "		<tr class=\"steelgraulight\">
							<td><b>";
			echo _("DozentIn");
			echo ": </b>".$classroom->teacher." </td>
						</tr>
						<tr>
							<td><b>";
			echo _("Maximale Teilnehmerzahl");
			echo ": </b>".$classroom->numberOfParticipants."</td>
						</tr>";
				if($isOpen)
					echo "<tr class=\"steelgraulight\"><td><font color=\"green\">"._("Die Sitzung ist jetzt geffnet.")."</font></td></tr>";
				else{
					if($classroom->waitingroomClosed){
						echo "<tr class=\"steelgraulight\"><td><font color=\"red\">";
						echo "Der Warteraum wurde durch den Dozenten / die Dozentin geschlossen."; 
						echo "</font></td></tr>";
					}
					elseif($classroom->date > time()){
						echo "<tr class=\"steelgraulight\"><td><font color=\"red\">";
						echo sprintf(_("Die Sitzung ist ab dem %s um %s Uhr fr die TeilnehmerInnen geffnet."), date("d.m.Y",(($classroom->date)-TIME_OFFSET)), date("G:i",($classroom->date)-TIME_OFFSET)); 
						echo "</font></td></tr>";
					}
					elseif($classroom->date + $classroom->length + STORAGE_TIME < time()){
						echo "<tr class=\"steelgraulight\"><td><font color=\"red\">"._("Die Inhalte der Sitzung wurden aus dem System entfernt.")."</font></td></tr>";						
					}
					else{
//						echo "<tr class=\"steelgraulight\"><td><font color=\"red\">"._("Die Sitzung ist beendet.")."</font></td></tr>";
						echo "<tr class=\"steelgraulight\"><td><font color=\"red\">";
//						echo sprintf(_("Die Sitzung ist beendet. Ihre Inhalte werden in %d Tagen aus dem System entfernt."), ($classroom->date + $classroom->length + STORAGE_TIME - time())/86400);
						echo sprintf(_("Die Sitzung ist beendet. Ihre Inhalte werden am %s aus dem System entfernt."), date("d.m.Y",($classroom->date + $classroom->length + STORAGE_TIME)));
						echo "</font></td></tr>";
/*						if(!empty($classroom->recordings)){
							echo "<tr><td><font color=\"red\">"._("Aufzeichnungen: ");
							$count = 0;
							foreach($classroom->recordings AS $recording){
								$count++;
								$start = strptime ($recording['start'], '%Y-%m-%d %H:%M:%S');
								$end = strptime ($recording['end'], '%Y-%m-%d %H:%M:%S');
								$alt = _("Aufzeichnung von ".$start['tm_hour'].":".str_pad($start['tm_min'], 2, '0', STR_PAD_LEFT)." Uhr bis ".$end['tm_hour'].":".str_pad($end['tm_min'], 2, '0', STR_PAD_LEFT)." Uhr");
								$hash = md5($recording['file'].$recording['start'].$recording['end'].$servers[$classroom->server]['SEC_KEY']);
								echo '<a href="'.$servers[$classroom->server]['SHARINGINTERFACE_URI'].'/download.php?id='.$recording['id'].'&hash='.$hash.'&filename='.str_replace(' ', '_', $classroom->title).'_'.$count.'.avi">'.Assets::img('download.gif', array('alt' => $alt, 'title' => $alt)).'</a> ';
							}
							echo "</font></td></tr>";
//								echo $recording['file'];
						} */
					}
				}
				
				if($permission->hasTutorPermissionInPOI() && !empty($classroom->recordings) && $classroom->date + $classroom->length + STORAGE_TIME >= time()){
						echo "<tr><td><font color=\"red\">"._("Aufzeichnungen: ");
							$count = 0;
							foreach($classroom->recordings AS $recording){
								$count++;
								$start = strptime ($recording['start'], '%Y-%m-%d %H:%M:%S');
								$end = strptime ($recording['end'], '%Y-%m-%d %H:%M:%S');
								$alt = _("Aufzeichnung von ".$start['tm_hour'].":".str_pad($start['tm_min'], 2, '0', STR_PAD_LEFT)." Uhr bis ".$end['tm_hour'].":".str_pad($end['tm_min'], 2, '0', STR_PAD_LEFT)." Uhr");
								$hash = md5($recording['file'].$recording['start'].$recording['end'].$servers[$classroom->server]['SEC_KEY']);
								echo '<a href="'.$servers[$classroom->server]['SHARINGINTERFACE_URI'].'download.php?id='.$recording['id'].'&hash='.$hash.'&filename='.str_replace(' ', '_', $classroom->title).'_'.$count.'.avi">'.Assets::img('download.gif', array('alt' => $alt, 'title' => $alt)).'</a> ';
							}
							echo "</font></td></tr>";
//								echo $recording['file'];
						} 
						
				if($view=='standard'){
					echo "<tr><td><b>"._("Zeitplan").":</b></td><td></td></tr>";
					echo "<tr>
							<td align=\"center\">
								<ol>
									<li style=\"list-style-type:none\">"
										.$classroom->timeline.
									"</li>
								</ol>
							</td>
						</tr>";
				}
				if($isOpen || $permission->hasTutorPermissionInPOI()){?>
					<tr class="white"><td align="center"><form action="<?php if($isOpen && in_array($classroom->roomtype, $INDIRECT_ENTRY_ROOMS)) echo $waiting_link; else echo $direct_link;?>" method="POST">
					<input type="hidden" name="id" value="<?= $classroom->id ?>">
					<input type="hidden" name="view" value="<?= $view?>">
					<input type="hidden" name="room_title" value="<?= $classroom->title ?>">
					<input type="hidden" name="room_date" value="<?= $date ?>">
					<ol><li style="list-style-type:none">
					<?php 
						if($classroom->date + $classroom->length + STORAGE_TIME >= time()){  //if the room has not automatically been removed from the system yet 
							if($isOpen && in_array($classroom->roomtype, $INDIRECT_ENTRY_ROOMS)){
								if($permission->hasTutorPermissionInPOI())
									$tooltip = _("Raum betreten");
								else
									$tooltip = _("Wartezimmer betreten");
								$action = 'enter_waitingroom';
							}
							else{
								$tooltip = _("Raum betreten");
								$action = 'enter_room';
							}			
						echo makebutton('start', 'input', $tooltip, $action);
						}
					if($permission->hasTutorPermissionInPOI())
						echo makebutton('loeschen', 'input', _('Klassenraum lschen'), 'delete_room');
					echo  "</li></ol></form></td></tr>";
				}
				else{
					echo "<tr class=\"white\"><br/><br/></tr>";
				}
				echo "</tbody></table><br>";
			}
			StudIPTemplateEngine::createInfoboxTableCell();
			print_infobox($infobox['text'], $infobox['picture']);
			StudIPTemplateEngine::endInfoBoxTableCell();
		}
?>